
Foreman - Feature #2499

Os_minor and os_major autocomplete and API access

05/15/2013 06:31 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: API   

Target version: 1.2.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Personally I find myself very often on the situation that I want to make an API query for all the hosts in a particular OS and I can't,

ditto for the UI search.

This should fix the problem for users that want to do stuff like 'os = RedHat and os_major = 6 and os_minor = 0"

https://github.com/theforeman/foreman/pull/616

Associated revisions

Revision d17e67c2 - 05/22/2013 10:41 AM - Daniel Lobato Garcia

fixes #2499 Add os_minor and os_major autocomplete

Revision dbe437b9 - 05/23/2013 03:58 AM - Daniel Lobato Garcia

fixes #2499 Add os_minor and os_major autocomplete

(cherry picked from commit d17e67c219ab07860b4bb1a2ce480c78cf963022)

History

#1 - 05/22/2013 10:56 AM - Daniel Lobato Garcia

- Status changed from New to Closed

Applied in changeset d17e67c219ab07860b4bb1a2ce480c78cf963022.
